Skip to content

Google Maps Postagens API

prod-global
GET
/api/v1/google/maps/posts
Status de saúde da API
Saudável Disponível Limitado Quase indisponível Sem dados
Carregando status...

Obtenha dados de Posts do Google Maps, incluindo conteúdo de postagens de negócios, datas e imagens, e feeds específicos de perfil, para monitoramento de negócios locais e rastreamento de promoções.

Tags: Google Maps

Parâmetros

NomeObrigatórioTipoPadrãoDescrição
data_idSimstringO ID exclusivo do local no Google Maps (feature ID). Você pode obtê-lo através da nossa API de Pesquisa do Google Maps.
next_page_tokenNãostringToken usado para recuperar a próxima página de postagens de negócios.

Copiar requisição

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/maps/posts"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "data_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

Resposta

Carregando o exemplo de resposta mais recente...